Subject: bug#39702: 26.3; Permission denied in make-network-process on MacOS 10.15.3

From: Alan Third <[email-masked]>
Date: Thu, 20 Feb 2020 23:08:07 +0000

On Thu, Feb 20, 2020 at 07:41:52PM +0000, Phil Roberts wrote:
> Evaluating (make-network-process :name "nettest" :buffer "*nettest*"
> :host "www.gnu.org" :service "http" :nowait nil :tls-parameters nil) (I
> did this by typing it into the *scratch* buffer on a session started via
> 'emacs -Q', and hitting C-j) triggers an error with the following
> backtrace:
> 
> Debugger entered--Lisp error: (file-error "make client process failed"
> "Permission denied" :name "nettest" :buffer "*nettest*" :host "www.gnu.org"
> :service "http" :nowait nil :tls-parameters nil)
>   make-network-process(:name "nettest" :buffer "*nettest*" :host
> "www.gnu.org" :service "http" :nowait nil :tls-parameters nil)
>   eval((make-network-process :name "nettest" :buffer "*nettest*" :host
> "www.gnu.org" :service "http" :nowait nil :tls-parameters nil) nil)
>   elisp--eval-last-sexp(t)
>   eval-last-sexp(t)
>   eval-print-last-sexp(nil)
>   funcall-interactively(eval-print-last-sexp nil)
>   call-interactively(eval-print-last-sexp nil nil)
>   command-execute(eval-print-last-sexp)
> 
> This happens using both the build from emacsformacosx.com and that
> from homebrew, running on a 2019-model MacBook Pro 13-inch, running
> MacOS version 10.15.3 (Catalina).  I've granted emacs every
> permission I can find an option for in the GUI, to no avail.

It may be worth noting that the homebrew version is (often) the
emacsformacosx.com release repackaged.

It may be worth trying to give ruby some permissions, as the
emacsformacosx.com releases use a ruby script to select the correct
Emacs version for the OS.

-- 
Alan Third